.header {
  box-shadow: $box-shadow-inset;

  nav {
    margin-top: map-get($spacers, 6);

    @include media-breakpoint-up(xl) {
      margin: 0;
    }
  }

  .nav-item {
    width: 100%;
    margin-top: map-get($spacers, 2);
    text-align: center;

    @include media-breakpoint-up(lg) {
      width: auto;
      margin-top: 0;
      margin-left: map-get($spacers, 5);
      text-align: left;
    }

    &:first-child {
      margin-left: 0;
    }
  }

  .nav-link {
    padding: map-get($spacers, 2) map-get($spacers, 3);
  }
}

.header-nav-btn {
  font-size: $h6-font-size;

  svg {
    width: 24px;
    height: 24px;
  }
}

.header-btn-action {
  color: $body-color;
  font-size: $font-size-base;

  @include media-breakpoint-up(md) {
    background-color: rgba(0, 0, 0, 0.04);
  }

  &:hover {
    color: $body-color;
  }

  .header-cart-badge {
    position: absolute;
    top: -3px;
    right: -6px;
    min-width: 18px;
    padding: 3px;
  
    @include media-breakpoint-up(md) {
      position: static;
    }
  }
}
